#include <gtest/gtest.h>

#include "polySolver.h"

class polyTest : public ::testing::Test {};

TEST_F(polyTest, DefaultConstructor) {
    EXPECT_NO_THROW(PolySolver(1, 1));
}

TEST_F(polyTest, Solve) {
    PolySolver polytrope(1.5, 1);
    EXPECT_NO_THROW(polytrope.solve());
}